package com.ruoyi.baseinfo.service;

import java.util.List;
import com.ruoyi.baseinfo.domain.BasePostInfo;
import com.ruoyi.baseinfo.domain.BasePosttypeInfo;

/**
 * 职位基础信息Service接口
 * 
 * @author CaesarBao
 * @date 2020-10-20
 */
public interface IBasePostInfoService 
{
    /**
     * 查询职位基础信息
     * 
     * @param objid 职位基础信息ID
     * @return 职位基础信息
     */
    public BasePostInfo selectBasePostInfoById(Long objid);

    /**
     * 查询职位基础信息列表
     * 
     * @param basePostInfo 职位基础信息
     * @return 职位基础信息集合
     */
    public List<BasePostInfo> selectBasePostInfoList(BasePostInfo basePostInfo);

    /**
     * 新增职位基础信息
     * 
     * @param basePostInfo 职位基础信息
     * @return 结果
     */
    public int insertBasePostInfo(BasePostInfo basePostInfo);

    /**
     * 修改职位基础信息
     * 
     * @param basePostInfo 职位基础信息
     * @return 结果
     */
    public int updateBasePostInfo(BasePostInfo basePostInfo);

    /**
     * 批量删除职位基础信息
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteBasePostInfoByIds(String ids);

    /**
     * 删除职位基础信息信息
     * 
     * @param objid 职位基础信息ID
     * @return 结果
     */
    public int deleteBasePostInfoById(Long objid);

    /**
     * 查询职位基础信息列表
     * 增加下拉框
     * @return 职位类型基础信息集合
     */
    public List<BasePostInfo> selectAddBasePostInfoList();

    /**
     * 查询职位基础信息列表
     * 修改下拉框
     * @param postId 职位ID
     * @return 职位类型基础信息集合
     */
    public List<BasePostInfo> selectEditBasePostInfoList(String postId);
}
